## metasploit-framework 6.4.43

=== debian/changelog ===
metasploit-framework (6.4.43-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.4.43

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 08 Jan 2025 11:54:18 +0100

metasploit-framework (6.4.39-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.4.39

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 11 Dec 2024 11:29:17 +0100

metasploit-framework (6.4.36-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.4.36

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 14 Nov 2024 14:32:56 +0100

metasploit-framework (6.4.6-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.4.6

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 29 Apr 2024 19:15:17 +0200

metasploit-framework (6.3.54-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.3.54

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 02 Feb 2024 03:11:33 +0100

metasploit-framework (6.3.44-0parrot1) lory-updates; urgency=medium

  * replace gksudo with pkexec
  * New upstream version 6.3.44

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 28 Nov 2023 17:56:41 +0100

metasploit-framework (6.3.35-0parrot3) lory-updates; urgency=medium

  * Update gemspec oci8 patch.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 28 Oct 2023 08:54:39 +0200

metasploit-framework (6.3.35-0parrot2) parrot-updates; urgency=medium

  * Replace gksudo with pkexec.
  * Rebuild for Debian 6.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 28 Oct 2023 08:13:14 +0200

metasploit-framework (6.3.35-0parrot1) lory; urgency=medium

  * New upstream version 6.3.35

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 25 Sep 2023 15:36:29 +0200

metasploit-framework (6.3.27-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.3.27

 -- Lorenzo "Palinuro" Faletra <palinuro@parrot.rfc2549.it>  Tue, 01 Aug 2023 21:10:17 +0200

metasploit-framework (6.3.9-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.3.9

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 24 Mar 2023 07:14:28 +0700

metasploit-framework (6.3.4-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.3.4

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Feb 2023 09:27:39 +0700

metasploit-framework (6.3.3-0parrot1) parrot-updates; urgency=medium

  * Update changelog for 6.3.1-0parrot2 release
  * New upstream version 6.3.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 23 Feb 2023 06:57:47 +0700

metasploit-framework (6.3.1-0parrot2) parrot-updates; urgency=medium

  * Remove old patch of missing dependencies

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 04 Feb 2023 02:21:05 +0700

metasploit-framework (6.3.1-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.3.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Feb 2023 23:04:21 +0700

metasploit-framework (6.2.13-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.2.13

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Aug 2022 13:59:52 +0200

metasploit-framework (6.2.3-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.2.3.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 23 Jun 2022 13:45:15 +0200

metasploit-framework (6.2.0-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.2.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 31 May 2022 00:30:29 +0700

metasploit-framework (6.1.34-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.1.34.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 23 Mar 2022 14:04:03 +0100

metasploit-framework (6.1.29-0parrot1) parrot-updates; urgency=medium

  * New upstream version 6.1.29.

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 17 Feb 2022 01:33:43 +0700

metasploit-framework (6.1.27-0parrot1) parrot-updates; urgency=medium

  * Import new upstream version 6.1.27.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Jan 2022 14:48:36 +0100

metasploit-framework (6.1.24-0parrot2) parrot-updates; urgency=medium

  * Sync with Kali changes.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 13 Jan 2022 01:18:13 +0100

metasploit-framework (6.1.24-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.24

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 11 Jan 2022 21:24:46 +0700

metasploit-framework (6.1.22-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.22

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 31 Dec 2021 06:12:13 +0700

metasploit-framework (6.1.21-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.21

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 25 Dec 2021 00:16:44 +0700

metasploit-framework (6.1.20-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.20

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 19 Dec 2021 00:49:57 +0700

metasploit-framework (6.1.19-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.19

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 10 Dec 2021 20:16:41 +0700

metasploit-framework (6.1.18-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.18

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 07 Dec 2021 08:44:16 +0700

metasploit-framework (6.1.16-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.16

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 26 Nov 2021 07:59:07 +0700

metasploit-framework (6.1.15-0parrot2) rolling; urgency=medium

  * Move launchers to parrot menu

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 20 Nov 2021 19:47:02 +0700

metasploit-framework (6.1.15-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.15

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 20 Nov 2021 17:34:12 +0700

metasploit-framework (6.1.14-0parrot1) rolling-testing; urgency=medium

  * New upstream version 6.1.14



## metasploit-framework 6.4.69

=== debian/changelog ===
metasploit-framework (6.4.69-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.69

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 16 Jun 2025 11:35:07 +0200

metasploit-framework (6.4.64-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.64
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 21 May 2025 12:05:52 +0200

metasploit-framework (6.4.61-0kali2) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Test drop nokogiri patch
  * Bump nokogiri version

  [ Sophie Brun ]
  * Use latest version of nokogiri not broken for armel

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 14:45:00 +0200

metasploit-framework (6.4.61-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.61
  * Update oci8 dependency patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 12:08:47 +0200

metasploit-framework (6.4.56-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.56
  * Refresh patches
  * Bump Standards-Version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Apr 2025 15:50:52 +0200

metasploit-framework (6.4.54-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.54
  * Refresh patches
  * Update uploaders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Mar 2025 13:34:59 +0100

metasploit-framework (6.4.50-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.50

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 21 Feb 2025 13:01:24 +0100

metasploit-framework (6.4.49-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.49

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Feb 2025 23:31:52 +0100

metasploit-framework (6.4.48-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.48
  * Remove force concurrent-ruby to 1.3.4 as it's already set by upstream
  * Update lintian-overrides

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 11 Feb 2025 15:52:16 +0100

metasploit-framework (6.4.45-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.45
  * Force current-ruby 1.3.4

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Jan 2025 12:07:35 +0100

metasploit-framework (6.4.44-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.44

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 10 Jan 2025 13:52:51 +0100

metasploit-framework (6.4.38-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.38

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 03 Dec 2024 10:00:17 +0100

metasploit-framework (6.4.34-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.34
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 31 Oct 2024 16:21:29 +0100

metasploit-framework (6.4.32-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.32

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 24 Oct 2024 09:22:14 +0200

metasploit-framework (6.4.30-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.30

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 14 Oct 2024 15:32:13 +0200

metasploit-framework (6.4.29-0kali1) kali-dev; urgency=medium

  * Bump Standards-Version
  * New upstream version 6.4.29
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 09 Oct 2024 08:36:01 +0200

metasploit-framework (6.4.28-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.28
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Sep 2024 10:44:23 +0200

metasploit-framework (6.4.20-0kali2) kali-dev; urgency=medium

  * Add Rules-Requires-Root: no
  * Update Build-Depends: libpcap-dev -> libpcap0.8-dev
  * Add workaround to fix sqlite3 build with GCC-14

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 18 Sep 2024 12:02:52 +0700

metasploit-framework (6.4.20-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.20

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 05 Aug 2024 12:31:08 +0200

metasploit-framework (6.4.18-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.18

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 22 Jul 2024 12:08:24 +0200

metasploit-framework (6.4.17-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.17
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Jul 2024 21:43:34 +0200

metasploit-framework (6.4.16-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.16
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 10 Jul 2024 11:33:58 +0200

metasploit-framework (6.4.15-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.15

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 01 Jul 2024 10:22:47 +0200

metasploit-framework (6.4.14-0kali2) kali-dev; urgency=medium

  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 26 Jun 2024 11:58:34 +0200

metasploit-framework (6.4.14-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.14

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Jun 2024 16:35:38 +0200

metasploit-framework (6.4.12-0kali2) kali-dev; urgency=medium

  * Recover debian/patches/Fix-nokogiri-version-to-1.14.3-for-armel.patch
  * Update patch Fix-nokogiri-version-to-1.14.3-for-armel.patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 12 Jun 2024 13:14:04 +0200

metasploit-framework (6.4.12-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.12
  * Refresh patches
  * Force ffi version 1.16.3

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 12 Jun 2024 11:57:03 +0200

metasploit-framework (6.4.11-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.11
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 04 Jun 2024 11:32:16 +0200

metasploit-framework (6.4.9-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.9

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 May 2024 10:25:45 +0200

metasploit-framework (6.4.8-0kali1) kali-dev; urgency=medium



## metasploit-framework 6.4.94

=== external/source/exploits/CVE-2019-2215/Makefile ===
all: build

build:
	ndk-build NDK_PROJECT_PATH=. APP_BUILD_SCRIPT=./Android.mk APP_ABI=arm64-v8a

push: build
	adb push libs/arm64-v8a/poc /data/local/tmp/poc

install: build
	cp libs/arm64-v8a/poc ../../../../data/exploits/CVE-2019-2215/exploit 

clean:
	rm -rf libs
	rm -rf obj

## metasploit-framework 6.4.71

=== debian/changelog ===
metasploit-framework (6.4.71-0parrot1) lory; urgency=medium

  * New upstream version 6.4.71

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 27 Jun 2025 16:04:02 +0200

metasploit-framework (6.4.58-0parrot1) lory-updates; urgency=medium

  * New upstream version 6.4.58.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 22 Apr 2025 11:31:42 +0200

=== debian/control ===
Source: metasploit-framework
Section: net
Priority: optional
XSBC-Original-Maintainer: Kali Developers <devel@kali.org>
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders:
  Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
  Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends:
  debhelper-compat (= 12),
# Dependencies needed to fetch and build the gems in a bundle
  ruby-dev,
  bundler,
  ca-certificates,
  git,
  libgmp-dev,
  libpcap-dev,
  libpq-dev,
  libsqlite3-dev,
  libxml2-dev,
  libxslt-dev,
  libffi-dev,
  oracle-instantclient-basic [amd64 i386],
  oracle-instantclient-devel (>= 19.3.0.0.0-0kali2) [amd64 i386],
  oracle-instantclient-sqlplus [amd64 i386],
  ruby-json (>= 1.8.3),
  shared-mime-info,
  zlib1g-dev,
Standards-Version: 4.5.1
Homepage: https://www.metasploit.com/
Vcs-Git: https://nest.parrotsec.org/packages/tools/metasploit-framework.git
Vcs-Browser: https://nest.parrotsec.org/packages/tools/metasploit-framework


Package: metasploit-framework
Architecture: any
Depends:
  ${ruby:Depends},
  postgresql,
  bundler,
  john,
  nasm,
  nmap,
  curl,
  git,
  wget,
  python3,
  rake,
# For our own msfdb
  openssl,
# Generic dependencies 
  ${misc:Depends},
  ${shlibs:Depends},
  ruby-json (>= 1.8.3),
Conflicts: parrot-menu (<= 2:2021.02.19)
Suggests: java7-runtime-headless, default-jdk, clamav, clamav-daemon
Description: Framework for exploit development and vulnerability research
 The Metasploit Framework is an open source platform that supports
 vulnerability research, exploit development, and the creation of custom
 security tools.

=== debian/rules ===
#!/usr/bin/make -f

major-rubyversion=$(shell ruby -v | cut -d ' ' -f 2 | cut -d '.' -f 1)
minor-rubyversion=$(shell ruby -v | cut -d ' ' -f 2 | cut -d '.' -f 2)
minormax-rubyversion=$(shell echo $$(( $(minor-rubyversion) + 1 )) )

%:
	dh $@

override_dh_clean:
	dh_clean --exclude=external/serialport/README.orig
	rm -rf vendor/bundle
	# remove Gemfile.lock to avoid conflict / issues when we modify
	# the required versions in gemspec and to remove the Bundler
	# version specification (see
	# https://bugs.kali.org/view.php?id=6110)
	rm Gemfile.lock

override_dh_auto_configure:
	# Do nothing

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
	patch -p1 <debian/oci8-gemspec.patch
endif

	# Build binary gems
	bundle install --without development test --path vendor/bundle
	bundle config --local frozen true

override_dh_gencontrol:
	dh_gencontrol -- -Vruby:Depends="ruby (>= 1:$(major-rubyversion).$(minor-rubyversion)), ruby (<< 1:$(major-rubyversion).$(minormax-rubyversion))"

override_dh_install:
	dh_install --exclude=data/gui --exclude=LICENSE --exclude=LICENCE --exclude=LICENSE.txt
	# Hard code shebang for ruby scripts
	for binfile in $$(ls -d -1 debian/metasploit-framework/usr/share/metasploit-framework/tools/exploit/*.rb debian/metasploit-framework/usr/share/metasploit-framework/msf*); do \
	  sed -i $${binfile} -e '1,1s|#!.*ruby|#!/usr/share/metasploit-framework/ruby|' ; \
	done
	chmod -x debian/metasploit-framework/usr/share/metasploit-framework/data/wordlists/*

override_dh_shlibdeps:
	dh_shlibdeps --exclude=/data/ --exclude=/modules/

override_dh_makeshlibs:
	dh_makeshlibs --exclude=/data/ --exclude=/metasploit_payloads-mettle

override_dh_strip:
	dh_strip --exclude=/data/ --exclude=/modules/ --exclude=/vendor/bundle/

override_dh_compress:
	dh_compress --exclude=/modules/

override_dh_dwz:
	# do nothing: it fails because of multiple errors on bundle's
	# binaries or other binaries

=== debian/tests/control ===
Test-Command: debian/tests/runtests.sh test_update test_msfvenom
Restrictions: allow-stderr, needs-root

Test-Command: debian/tests/runtests.sh test_msfconsole test_msf_db_port_scan test_tools test_msfrpcd test_msfd
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed
Depends: @, apache2, screen, expect, netcat-traditional, net-tools

Test-Command: debian/tests/runtests.sh test_windows_meterpreter
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, skippable
Depends: @, expect, screen, wine

## metasploit-framework 6.4.84

=== debian/changelog ===
metasploit-framework (6.4.84-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.84
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:36:35 +0200

=== debian/control ===
Source: metasploit-framework
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Raphaël Hertzog <buxy@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 bundler,
 ca-certificates,
 debhelper-compat (= 13),
 git,
 libffi-dev,
 libgmp-dev,
 libpcap0.8-dev,
 libpq-dev,
 libsqlite3-dev,
 libxml2-dev,
 libxslt-dev,
 libyaml-dev,
 oracle-instantclient-basic [amd64 i386],
 oracle-instantclient-devel (>= 19.3.0.0.0-0kali2) [amd64 i386],
 oracle-instantclient-sqlplus [amd64 i386],
 ruby-dev,
 ruby-json (>= 1.8.3),
 shared-mime-info,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://www.metasploit.com/
Vcs-Git: https://gitlab.com/kalilinux/packages/metasploit-framework.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/metasploit-framework

Package: metasploit-framework
Architecture: any
Depends:
 bundler,
 curl,
 gcc-mingw-w64-i686-win32,
 gcc-mingw-w64-x86-64-win32,
 git,
 john,
 nasm,
 nmap,
# For our own msfdb
 openssl,
 postgresql,
 python3,
 rake,
 ruby-json (>= 1.8.3),
 wget,
 ${misc:Depends},
 ${ruby:Depends},
 ${shlibs:Depends},
Conflicts:
 metasploit-common,
Breaks:
 metasploit (<= 4.11.4-2015071402-1kali0),
Suggests:
 clamav,
 clamav-daemon,
 default-jre-headless,
Description: Framework for exploit development and vulnerability research
 The Metasploit Framework is an open source platform that supports
 vulnerability research, exploit development, and the creation of custom
 security tools.

## metasploit-framework 6.4.90

=== debian/changelog ===
metasploit-framework (6.4.90-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 6.4.90
  * Drop patch that breaks build

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 01 Oct 2025 16:58:23 +0200

## metasploit-framework 6.4.92

=== debian/changelog ===
metasploit-framework (6.4.92-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.92
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 13 Oct 2025 12:22:35 +0200

## metasploit-framework 6.4.94

=== debian/changelog ===
metasploit-framework (6.4.94-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.94
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 20 Oct 2025 09:47:29 +0200

=== debian/tests/control ===
Test-Command: debian/tests/runtests.sh test_update test_msfvenom
Restrictions: allow-stderr, needs-root

Test-Command: debian/tests/runtests.sh test_msfconsole test_msf_db_port_scan test_tools test_msfrpcd test_msfd
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed
Depends:
 apache2,
 expect,
 net-tools,
 netcat-traditional,
 screen,
 @,

Test-Command: debian/tests/runtests.sh test_windows_meterpreter
Restrictions: allow-stderr, needs-root, isolation-container, breaks-testbed, skippable
Depends:
 expect,
 screen,
 wine,
 @,

## metasploit-framework 6.4.95

=== external/source/metsvc/src/Makefile ===
# vim: set noexpandtab:

CC := cl

CFLAGS  := /nologo
LDFLAGS := /nologo

PROGRAMS := metsvc.exe metsvc-server.exe
SCRIPTS := install.bat

SOURCES := $(patsubst %.exe,%.cpp,$(PROGRAMS))
OBJECTS := $(patsubst %.exe,%.obj,$(PROGRAMS))

GENERATED := vc??.pdb

build: $(PROGRAMS)

metsvc.exe: metsvc.cpp metsvc.h
	$(CC) $(CFLAGS) $< /link $(LDFLAGS) /OUT:$@ ws2_32.lib advapi32.lib
	
metsvc-server.exe: metsvc-server.cpp metsvc.h
	$(CC) $(CFLAGS) $< /link $(LDFLAGS) /OUT:$@ ws2_32.lib

clean:
	rm -f $(PROGRAMS) $(OBJECTS) $(GENERATED)

.PHONY: build install clean

=== debian/changelog ===
metasploit-framework (6.4.95-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.95
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 27 Oct 2025 08:53:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
  Raphaël Hertzog <buxy@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  bundler,
  ca-certificates,

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/(.*)$/metasploit-framework-$1/,dversionmangle=s/[-+]\d+//,uversionmangle=s/^(\d+)$/0~$1/" \
https://github.com/rapid7/metasploit-framework/tags .*/(\d.*)\.tar\.gz

## metasploit-framework 6.4.96

=== debian/changelog ===
metasploit-framework (6.4.96-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.96

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 03 Nov 2025 10:09:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,12 @@
 endif
 
 	# Build binary gems
-	bundle install --without development test --path vendor/bundle
+	bundle config set --local path vendor/bundle
+	bundle config set --local without 'development test coverage'
+	# GCC 14 is stricter, and sqlite3 1.4.4 fails to build. Please remove the
+	# line below when the patch Force-sqlite-3-version-1.4.4.patch is dropped.
+	bundle config --local build.sqlite3 --with-cflags="'-Wno-error=incompatible-pointer-types -Wno-error=int-conversion'"
+	bundle install
 	bundle config --local frozen true
 
 override_dh_gencontrol:
@@ -38,6 +43,10 @@
 	  sed -i $${binfile} -e '1,1s|#!.*ruby|#!/usr/share/metasploit-framework/ruby|' ; \
 	done
 	chmod -x debian/metasploit-framework/usr/share/metasploit-framework/data/wordlists/*
+
+	# install bash completion for msfvenom
+	mkdir -p debian/metasploit-framework/usr/share/bash-completion/completions
+	HOME=/tmp RUBYLIB=debian/metasploit-framework/usr/share/metasploit-framework/lib debian/generate-msfvenom-bash-completion.rb > debian/metasploit-framework/usr/share/bash-completion/completions/msfvenom
 
 override_dh_shlibdeps:
 	dh_shlibdeps --exclude=/data/ --exclude=/modules/

## metasploit-framework 6.4.97

=== debian/changelog ===
metasploit-framework (6.4.97-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.97
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Nov 2025 07:59:39 +0100

## metasploit-framework 6.4.98

=== debian/changelog ===
metasploit-framework (6.4.98-0parrot1) echo; urgency=medium

  * New upstream version 6.4.98.
  * Rebuild for Parrot 7.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 23:54:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: metasploit-framework
 Section: net
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
+XSBC-Original-Maintainer: Kali Developers <devel@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
 Uploaders:
- Daniel Ruiz de Alegría <daniruiz@kali.org>,
- Raphaël Hertzog <buxy@kali.org>,
+  Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+  Nong Hoang Tu <dmknght@parrotsec.org>
 Build-Depends:
  bundler,
  ca-certificates,
@@ -19,7 +20,7 @@
  libxslt-dev,
  libyaml-dev,
  oracle-instantclient-basic [amd64 i386],
- oracle-instantclient-devel (>= 19.3.0.0.0-0kali2) [amd64 i386],
+ oracle-instantclient-devel [amd64 i386],
  oracle-instantclient-sqlplus [amd64 i386],
  ruby-dev,
  ruby-json (>= 1.8.3),
@@ -27,8 +28,6 @@
  zlib1g-dev,
 Standards-Version: 4.7.2
 Homepage: https://www.metasploit.com/
-Vcs-Git: https://gitlab.com/kalilinux/packages/metasploit-framework.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/metasploit-framework
 
 Package: metasploit-framework
 Architecture: any
@@ -51,10 +50,6 @@
  ${misc:Depends},
  ${ruby:Depends},
  ${shlibs:Depends},
-Conflicts:
- metasploit-common,
-Breaks:
- metasploit (<= 4.11.4-2015071402-1kali0),
 Suggests:
  clamav,
  clamav-daemon,

## metasploit-framework 6.4.99

=== debian/changelog ===
metasploit-framework (6.4.99-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.99

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 24 Nov 2025 09:50:48 +0100

metasploit-framework (6.4.98-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.98

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 17 Nov 2025 08:46:39 +0100

## metasploit-framework 6.4.101

=== debian/changelog ===
metasploit-framework (6.4.101-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.101
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 10:58:03 +0100

## metasploit-framework 6.4.102

=== debian/changelog ===
metasploit-framework (6.4.102-0kali1) kali-dev; urgency=medium

  * Update debian/watch to version 5
  * New upstream version 6.4.102

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Dec 2025 10:41:14 +0100

## metasploit-framework 6.4.103

=== debian/changelog ===
metasploit-framework (6.4.103-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.103

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 22 Dec 2025 10:25:38 +0100

## metasploit-framework 6.4.107

=== debian/changelog ===
metasploit-framework (6.4.107-0parrot1) echo; urgency=medium

  * disable gbp pristine-tar
  * new upstream version 6.4.107

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 15 Jan 2026 14:08:30 +0100

## metasploit-framework 6.4.108

=== debian/changelog ===
metasploit-framework (6.4.108-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.108

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 12:11:35 +0100

## metasploit-framework 6.4.110

=== debian/changelog ===
metasploit-framework (6.4.110-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.110
  * Bump Standards-Version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 26 Jan 2026 12:15:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: metasploit-framework
 Section: net
 Priority: optional
-XSBC-Original-Maintainer: Kali Developers <devel@kali.org>
-Maintainer: Parrot Dev Team <team@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
-  Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-  Nong Hoang Tu <dmknght@parrotsec.org>
+ Daniel Ruiz de Alegría <daniruiz@kali.org>,
+ Raphaël Hertzog <buxy@kali.org>,
 Build-Depends:
  bundler,
  ca-certificates,
@@ -20,14 +19,16 @@
  libxslt-dev,
  libyaml-dev,
  oracle-instantclient-basic [amd64 i386],
- oracle-instantclient-devel [amd64 i386],
+ oracle-instantclient-devel (>= 19.3.0.0.0-0kali2) [amd64 i386],
  oracle-instantclient-sqlplus [amd64 i386],
  ruby-dev,
  ruby-json (>= 1.8.3),
  shared-mime-info,
  zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.metasploit.com/
+Vcs-Git: https://gitlab.com/kalilinux/packages/metasploit-framework.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/metasploit-framework
 
 Package: metasploit-framework
 Architecture: any
@@ -50,6 +51,10 @@
  ${misc:Depends},
  ${ruby:Depends},
  ${shlibs:Depends},
+Conflicts:
+ metasploit-common,
+Breaks:
+ metasploit (<= 4.11.4-2015071402-1kali0),
 Suggests:
  clamav,
  clamav-daemon,

## metasploit-framework 6.4.111

=== debian/changelog ===
metasploit-framework (6.4.111-0parrot1) echo; urgency=medium

  * New upstream version 6.4.111

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 04 Feb 2026 13:11:24 +0100

## metasploit-framework 6.4.112

=== debian/changelog ===
metasploit-framework (6.4.112-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.112

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 09 Feb 2026 13:02:21 +0100

metasploit-framework (6.4.111-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.111

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 02 Feb 2026 11:14:12 +0100

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/[-+]\d+//
Owner: rapid7
Project: metasploit-framework
Uversionmangle: s/^(\d+)$/0~$1/

## metasploit-framework 6.4.116

=== debian/changelog ===
metasploit-framework (6.4.116-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.116

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 14:33:42 +0100

metasploit-framework (6.4.114-0kali1) kali-dev; urgency=medium

  * New upstream version 6.4.114

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 14:19:33 +0100
